Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.mail.servlets
Class MailPreviewServlet

    java.lang.Object
      |
      +--javax.servlet.GenericServlet
            |
            +--javax.servlet.http.HttpServlet
                  |
                  +--com.bea.p13n.mail.servlets.MailPreviewServlet

public class MailPreviewServlet
extends javax.servlet.http.HttpServlet

Servlet to provide a preview of a JSP-generated mail message. This servlet expects at least one parameter, called "uri", that contains the URI for it to call. Any other parameters will be passed on to that URI.

This servlet requires the MailService to be at java:comp/env/ejb/MailService.

See Also:
  Serialized Form

Constructor Summary
`MailPreviewServlet()`

Method Summary
`protected MailService` | `getMailService()` Get the mail service to use.
`void` | `init()`
`void` | `service(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res)`
`protected void` | `showError(java.lang.String error, java.lang.Throwable ex, javax.servlet.http.HttpServletResponse resp)` Print an error message to the output stream.

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doGet, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MailPreviewServlet

    public MailPreviewServlet()

Method Detail

### init

    public void init()
              throws javax.servlet.ServletException

  Overrides:
    init in class javax.servlet.GenericServlet

### service

    public void service(javax.servlet.http.HttpServletRequest req,
                        javax.servlet.http.HttpServletResponse res)
                 throws java.io.IOException,
                        javax.servlet.ServletException

  Overrides:
    service in class javax.servlet.http.HttpServlet

### getMailService

    protected MailService getMailService()
                                  throws javax.ejb.CreateException,
                                         java.rmi.RemoteException

  Get the mail service to use.

### showError

    protected void showError(java.lang.String error,
                             java.lang.Throwable ex,
                             javax.servlet.http.HttpServletResponse resp)
                      throws javax.servlet.ServletException,
                             java.io.IOException

  Print an error message to the output stream.

  This assumes that nothing has been put on the response yet.

  Parameters:
    `error` - the error message.
    `ex` - a possible exception.
    `resp` - the response to output to.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved